#!/bin/bash
#
# Module:   run_test.sh
# Purpose:  to run the test for symlinks
# Author:   Wade Hampton
# Date:     12/1/2004
#
source ./config.sh

pushd ~/work
if [ -d ${REPO} ] 
then
  echo "removing old ${REPO} copy"
  /bin/rm -rf ${REPO}
fi

if [ -d ${TREPO} ] 
then
  echo "removing old ${TREPO} copy"
  /bin/rm -rf ${TREPO}
fi

echo "Getting ${REPO}"
svn checkout ${SVR}/${REPO} ${REPO}

pushd ${REPO}/trunk/install_system

# -- this fails
#echo "Try1:  Making a version.sh as a symlink but replacing before commit"
#ln -s make_repo.sh version.sh
#svn add version.sh
#rm version.sh
#cp make_repo.sh version.sh
#svn commit -m "try1:  added dummy version.sh"
#svn update

# -- this fails
#echo "Try2:  Making a version.sh as a symlink but replacing before commit"
#rm version.sh
#ln -s make_repo.sh version.sh
#chmod +x version.sh 
#svn add version.sh
#svn del --force version.sh
#cp make_repo.sh version.sh
#svn add --force version.sh
#svn del --force version.sh
#ln -s make_repo.sh version.sh
#chmod +x version.sh 
#svn add --force version.sh
#svn commit -m "try2:  added dummy version.sh"
#svn update

echo "Try3:  Making a aversion.sh as a file then as a symlink"
cp make_repo.sh aversion.sh
chmod +x aversion.sh
svn add aversion.sh
svn del --force aversion.sh
ln -s make_repo.sh aversion.sh
svn add --force aversion.sh

svn commit -m "try3: Making a aversion.sh as a file then as a symlink"
svn update

#echo "Removing version.sh and making a symlink, then commiting"
#svn mv version.sh old_version.sh
#ln -s make_repo.sh version.sh
#svn add version.sh
#svn commit -m "version.sh now a symlink"
#svn update

popd
echo "trying to check out the version"
svn checkout ${SVR}/${REPO} ${TREPO}

echo "DONE"
popd


